> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Tag

> Tag endpoints: Create Tag, Get Export Data, Get Tag, Get Tags, Get Tags Tree List, Update Tag, Delete Tag

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Tag",
            "description": "Tag endpoints: Create Tag, Get Export Data, Get Tag, Get Tags, Get Tags Tree List, Update Tag, Delete Tag",
            "url": "https://docs.dqlabs.ai/api-reference/governance/tag",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Tag">
    `POST /api/v1/governance/tag`

    Create a new tag

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new tag",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Export Data">
    `POST /api/v1/governance/tag/export`

    Get Export Data

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/export" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get Export Data",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Tag">
    `GET /api/v1/governance/tag/{tagId}`

    Get a tag by ID

    **Path Parameters**

    <ParamField path="tagId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="name" type="string">
        Example: `"dq_tahg"`.
      </ResponseField>

      <ResponseField name="description" type="string">
        Example: `"Customer ID"`.
      </ResponseField>

      <ResponseField name="type" type="string" />

      <ResponseField name="level" type="string" />

      <ResponseField name="source" type="string">
        Example: `"mssql"`.
      </ResponseField>

      <ResponseField name="native_query_run" type="string">
        Example: `"SELECT * FROM sys.sensitivity_classifications ..."`.
      </ResponseField>

      <ResponseField name="parent_id" type="string" />

      <ResponseField name="status" type="string">
        Example: `"PENDING"`.
      </ResponseField>

      <ResponseField name="is_masked_data" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_deleted" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="score" type="string" />

      <ResponseField name="total_alerts" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_issues" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="linked_asset_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_likes" type="string" />

      <ResponseField name="total_dislikes" type="string" />

      <ResponseField name="total_conversations" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_views" type="integer">
        Example: `1`.
      </ResponseField>

      <ResponseField name="owner" type="string" />

      <ResponseField name="user" type="string" />

      <ResponseField name="qualified_name" type="string">
        Example: `"dqlabs.L2.dq_tahg"`.
      </ResponseField>

      <ResponseField name="freshness_sla" type="string" />

      <ResponseField name="schema_stability" type="string" />

      <ResponseField name="definition" type="string" />

      <ResponseField name="context" type="string" />

      <ResponseField name="who_should_use_this" type="string" />

      <ResponseField name="id" type="string">
        Example: `"9949eaa7-117e-5061-a31b-ffb5020fa9e5"`.
      </ResponseField>

      <ResponseField name="source_id" type="string">
        Example: `"8d5e0daf-e97b-4cbb-81c3-76f509b869b9"`.
      </ResponseField>

      <ResponseField name="source_type" type="string">
        Example: `"MSSQL"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-20T15:46:27.529179Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-21T06:39:16.453175Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string" />

      <ResponseField name="modified_by" type="string" />

      <ResponseField name="linked_assets" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="parents" type="object[]" />

      <ResponseField name="viewers" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"08ba2090-a236-4538-a671-fca112ca8ad2"`.
        </ResponseField>

        <ResponseField name="viewed_at" type="string">
          Example: `"2026-09-21T10:32:30.226257+00:00"`.
        </ResponseField>

        <ResponseField name="name" type="string" />

        <ResponseField name="email" type="string">
          Example: `"rejeesh@dqlabs.ai"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="audiences" type="object[]" />

      <ResponseField name="recent_conversations" type="string" />

      <ResponseField name="context_freshness" type="object">
        <ResponseField name="description" type="string" />

        <ResponseField name="owner_verified" type="string" />
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/{tagId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a tag by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "name": "dq_tahg",
        "description": "Customer ID",
        "type": null,
        "level": null,
        "source": "mssql",
        "native_query_run": "SELECT * FROM sys.sensitivity_classifications ...",
        "parent_id": null,
        "status": "PENDING",
        "is_masked_data": false,
        "is_active": true,
        "is_deleted": false,
        "score": null,
        "total_alerts": 0,
        "total_issues": 0,
        "linked_asset_count": 0,
        "total_likes": null,
        "total_dislikes": null,
        "total_conversations": 0,
        "total_views": 1,
        "owner": null,
        "user": null,
        "qualified_name": "dqlabs.L2.dq_tahg",
        "freshness_sla": null,
        "schema_stability": null,
        "definition": null,
        "context": null,
        "who_should_use_this": null,
        "id": "9949eaa7-117e-5061-a31b-ffb5020fa9e5",
        "source_id": "8d5e0daf-e97b-4cbb-81c3-76f509b869b9",
        "source_type": "MSSQL",
        "created_at": "2026-09-20T15:46:27.529179Z",
        "modified_at": "2026-09-21T06:39:16.453175Z",
        "created_by": null,
        "modified_by": null,
        "linked_assets": 0,
        "parents": [],
        "viewers": [
          {
            "id": "08ba2090-a236-4538-a671-fca112ca8ad2",
            "viewed_at": "2026-09-21T10:32:30.226257+00:00",
            "name": null,
            "email": "rejeesh@dqlabs.ai"
          }
        ],
        "audiences": [],
        "recent_conversations": null,
        "context_freshness": {
          "description": null,
          "owner_verified": null
        }
      }
    }
    ```
  </Tab>

  <Tab title="Get Tags">
    `POST /api/v1/governance/tag/list`

    Get tags with optional filtering

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"dq_tahg"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"Customer ID"`.
        </ResponseField>

        <ResponseField name="source" type="string">
          Example: `"mssql"`.
        </ResponseField>

        <ResponseField name="native_query_run" type="string">
          Example: `"SELECT * FROM sys.sensitivity_classifications ..."`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"PENDING"`.
        </ResponseField>

        <ResponseField name="is_masked_data" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="is_deleted" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="total_alerts" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_issues" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="linked_asset_count" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_conversations" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="qualified_name" type="string">
          Example: `"dqlabs.L2.dq_tahg"`.
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"9949eaa7-117e-5061-a31b-ffb5020fa9e5"`.
        </ResponseField>

        <ResponseField name="source_id" type="string">
          Example: `"8d5e0daf-e97b-4cbb-81c3-76f509b869b9"`.
        </ResponseField>

        <ResponseField name="source_type" type="string">
          Example: `"MSSQL"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T15:46:27.529179Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-20T15:46:18.069478Z"`.
        </ResponseField>

        <ResponseField name="linked_assets" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="viewers" type="object[]" />

        <ResponseField name="audiences" type="object[]" />
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `424`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get tags with optional filtering",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "name": "dq_tahg",
            "description": "Customer ID",
            "source": "mssql",
            "native_query_run": "SELECT * FROM sys.sensitivity_classifications ...",
            "status": "PENDING",
            "is_masked_data": false,
            "is_active": true,
            "is_deleted": false,
            "total_alerts": 0,
            "total_issues": 0,
            "linked_asset_count": 0,
            "total_conversations": 0,
            "qualified_name": "dqlabs.L2.dq_tahg",
            "id": "9949eaa7-117e-5061-a31b-ffb5020fa9e5",
            "source_id": "8d5e0daf-e97b-4cbb-81c3-76f509b869b9",
            "source_type": "MSSQL",
            "created_at": "2026-09-20T15:46:27.529179Z",
            "modified_at": "2026-09-20T15:46:18.069478Z",
            "linked_assets": 0,
            "viewers": [],
            "audiences": []
          }
        ],
        "total_count": 424,
        "metrics": []
      }
    }
    ```
  </Tab>

  <Tab title="Get Tags Tree List">
    `POST /api/v1/governance/tag/tree-view`

    Get all tags for tree list without filters, sort, limit, offset, but with has\_user\_filter

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"afdafacf-6e68-4a11-9832-1908d501011f"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"Canada Bank Account Number"`.
      </ResponseField>

      <ResponseField name="type" type="string" />

      <ResponseField name="source_type" type="string" />

      <ResponseField name="parent_id" type="string" />

      <ResponseField name="status" type="string">
        Example: `"PENDING"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/tree-view" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all tags for tree list without filters, sort, limit, offset, but with has_user_filter",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Tag">
    `PUT /api/v1/governance/tag/{tagId}`

    Update a tag

    **Path Parameters**

    <ParamField path="tagId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/{tagId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a tag",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Tag">
    `DELETE /api/v1/governance/tag/{tagId}`

    Delete a tag

    **Path Parameters**

    <ParamField path="tagId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/tag/{tagId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a tag",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
